(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      7759,        207]
NotebookOptionsPosition[      8107,        200]
NotebookOutlinePosition[      8462,        216]
CellTagsIndexPosition[      8419,        213]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"r", " ", "t"}], 
         RowBox[{"2", " ", "L"}]]}]], " ", "q0", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Cosh", "[", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", "L"}], "+", 
             RowBox[{"c", " ", 
              SuperscriptBox["r", "2"]}]}]], " ", "t"}], 
          RowBox[{"2", " ", 
           SqrtBox["c"], " ", "L"}]], "]"}], "+", 
        FractionBox[
         RowBox[{
          SqrtBox["c"], " ", "r", " ", 
          RowBox[{"Sinh", "[", 
           FractionBox[
            RowBox[{
             SqrtBox[
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", "L"}], "+", 
               RowBox[{"c", " ", 
                SuperscriptBox["r", "2"]}]}]], " ", "t"}], 
            RowBox[{"2", " ", 
             SqrtBox["c"], " ", "L"}]], "]"}]}], 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", "L"}], "+", 
           RowBox[{"c", " ", 
            SuperscriptBox["r", "2"]}]}]]]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "0.01"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<temps en s\>\"", ",", "\"\<charge en C\>\""}], "}"}]}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "0.1", ",", "\"\<R\[EAcute]sistance \!\(\*
StyleBox[\"R\",
FontSlant->\"Italic\"]\)\!\(\*
StyleBox[\" \",
FontSlant->\"Italic\"]\)en \[CapitalOmega]\>\""}], "}"}], ",", "0", ",", "1", 
     ",", "0.001"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"L", ",", "0.00045", ",", "\"\<Inductance \!\(\*
StyleBox[\"L\",
FontSlant->\"Italic\"]\)\!\(\*
StyleBox[\" \",
FontSlant->\"Italic\"]\)en H\>\""}], "}"}], ",", "0.0002", ",", "0.001", ",", 
     "0.00001"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0.00025", ",", "\"\<Capacit\[EAcute] \!\(\*
StyleBox[\"C\",
FontSlant->\"Italic\"]\) en F\>\""}], "}"}], ",", "0.00001", ",", "0.001", 
     ",", 
     RowBox[{"10", "^", 
      RowBox[{"-", "5"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q0", ",", "0.0001", ",", "\"\<Charge initiale \!\(\*SubscriptBox[
StyleBox[\"q\",
FontSlant->\"Italic\"], \"0\"]\) en C\>\""}], "}"}], ",", "0.0001", ",", 
     "0.001", ",", "0.000001"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.510892551956064*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 0.00025, $CellContext`L$$ = 
    0.00045, $CellContext`q0$$ = 0.0001, $CellContext`r$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 0.1, 
       "R\[EAcute]sistance \!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)en \
\[CapitalOmega]"}, 0, 1, 0.001}, {{
       Hold[$CellContext`L$$], 0.00045, 
       "Inductance \!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\" \",\nFontSlant->\"Italic\"]\)en H"}, 0.0002, 0.001, 0.00001}, {{
       Hold[$CellContext`c$$], 0.00025, 
       "Capacit\[EAcute] \!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\) en \
F"}, 0.00001, 0.001, 
      Rational[1, 100000]}, {{
       Hold[$CellContext`q0$$], 0.0001, 
       "Charge initiale \!\(\*SubscriptBox[\n StyleBox[\"q\",\n\
FontSlant->\"Italic\"], \"0\"]\) en C"}, 0.0001, 0.001, 1.*^-6}}, 
    Typeset`size$$ = {540., {133., 143.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`r$2266$$ =
     0, $CellContext`L$2267$$ = 0, $CellContext`c$2268$$ = 
    0, $CellContext`q0$2269$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 0.00025, $CellContext`L$$ = 
        0.00045, $CellContext`q0$$ = 0.0001, $CellContext`r$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$2266$$, 0], 
        Hold[$CellContext`L$$, $CellContext`L$2267$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$2268$$, 0], 
        Hold[$CellContext`q0$$, $CellContext`q0$2269$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[E^(-($CellContext`r$$ $CellContext`t/(
           2 $CellContext`L$$))) $CellContext`q0$$ (
         Cosh[((-4) $CellContext`L$$ + $CellContext`c$$ $CellContext`r$$^2)^
            Rational[1, 2] $CellContext`t/(
           2 $CellContext`c$$^
            Rational[1, 2] $CellContext`L$$)] + $CellContext`c$$^
           Rational[1, 2] $CellContext`r$$ 
          Sinh[((-4) $CellContext`L$$ + $CellContext`c$$ $CellContext`r$$^2)^
             Rational[1, 2] $CellContext`t/(
            2 $CellContext`c$$^
             Rational[
              1, 2] $CellContext`L$$)]/((-4) $CellContext`L$$ + \
$CellContext`c$$ $CellContext`r$$^2)^Rational[1, 2]), {$CellContext`t, 0, 
         0.01}, AxesLabel -> {"temps en s", "charge en C"}], 
      "Specifications" :> {{{$CellContext`r$$, 0.1, 
          "R\[EAcute]sistance \!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\
\)\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)en \[CapitalOmega]"}, 0, 1,
          0.001}, {{$CellContext`L$$, 0.00045, 
          "Inductance \!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)\!\(\*\
\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)en H"}, 0.0002, 0.001, 
         0.00001}, {{$CellContext`c$$, 0.00025, 
          "Capacit\[EAcute] \!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\) \
en F"}, 0.00001, 0.001, 
         Rational[
         1, 100000]}, {{$CellContext`q0$$, 0.0001, 
          "Charge initiale \!\(\*SubscriptBox[\n StyleBox[\"q\",\nFontSlant->\
\"Italic\"], \"0\"]\) en C"}, 0.0001, 0.001, 1.*^-6}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {259., 267.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.510892553984747*^9}]
}, Open  ]]
},
WindowSize->{825, 900},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 2746, 85, 350, "Input"],
Cell[4006, 119, 4085, 78, 550, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature qxT4YmC0Btg9dAwOTIkngNuX *)
